Bug 1708725 (PYTHON2_EOL) - Retire Python 2
Summary: Retire Python 2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: PYTHON2_EOL
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact:
URL:
Whiteboard:
Depends On: BRPY27 1807575 1288802 1738146 1738164 1744249 1745517 1745593 1771216 1775068 1775069 1775070 1775071 1775072 1775073 1775075 1775076 1775077 1775078 1775079 1775081 1775082 1775083 1775084 1775085 1775086 1775087 1775088 1775089 1775090 1775091 1775092 1777613 1777614 1777615 1777616 1777617 1777618 1777619 1777621 1777622 1777623 1777624 1777625 1777626 1777627 1777628 1777629 1777630 1777631 1777632 1777633 1777634 1777635 1777636 1777637 1777638 1777639 1777640 1777641 1777642 1777643 1777644 1777645 1777646 1777647 1777648 1777649 1777650 1777651 1787238 1787239 1787240 1787241 1787242 1787243 1787244 1787245 1787246 1787247 1787248 1787249 1787250 1787251 1787252 1787253 1787254 1787255 1787256 1787257 1801932 1813872 1820617 1822231
Blocks: 1817029
TreeView+ depends on / blocked
 
Reported: 2019-05-10 16:57 UTC by Ben Cotton
Modified: 2020-04-28 14:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 14:30:29 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2019-05-10 16:57:48 UTC
This is a tracking bug for Change: Retire Python 2
For more details, see: https://fedoraproject.org/wiki/Changes/RetirePython2

The python2 package and all its subpackages will be removed from Fedora 32.
A legacy python27  package for developers and users will be provided.
All packages in Fedora that need Python 2 to run will be removed from Fedora 32 regardless of their dependencies.
All packages in Fedora that need Python 2 to build will be removed from Fedora 32 regardless of their dependencies.
Exceptions can be granted by FESCo.

Comment 1 Ben Cotton 2019-08-13 17:07:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:21:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Miro Hrončok 2019-08-13 19:21:55 UTC
This is a Fedora 32 change.

Comment 4 Ben Cotton 2020-02-11 15:40:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Ben Cotton 2020-04-28 14:30:29 UTC
Fedora 32 is released!


Note You need to log in before you can comment on or make changes to this bug.